2008-06-23 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.15:
	* Fix bug 8789: User group is emptied after editing and updating data

2008-06-20 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.14:
	* Fix bug with not substituted hidden field markers for infomail

2008-06-19 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.13:
	* Do not require email confirmation if enableEmailConfirmation is 0. v_your_account_was_created_nomail will be used in this case.
	* new feature 0007933: Confirmation link cannot be clicked more than once if regHash is used.
	* fix bug with translation for Direct Mail categories
	* fix bug with admin email confirmation which did not contain all new fields after creation if default values have been added during the saving before
	* fix bug with md5 password encryption

2008-05-28 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.12:
	* fix bug 8382: when some records have already been stored and there is evaluation to edit fields which are not shown then the error message is not displayed. ###EVAL_ERROR_saved### is a new marker in order to display an error message for all fields which have been wrongly stored.
	* restructure code: The cmd piVar must be evaluated already in the controldata because cmdKey must be set after it.

2008-05-20 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.11:
	* fix bug 8416: the CODE and flexforms have been emptied

2008-05-15 Franz Holzinger  <franz@fholzinger.com>
	* fix security issues

2008-04-01 Franz Holzinger  <franz@fholzinger.com>
	* new hook addGlobalMarkers for additional global markers
	* new constant dmailCheckedUponRegistration if the Direct Mail categories shall be checked by default
	* fix bug 3650: Password is not md5 hashed if changed after making an error on registration
	* new feature dateFormat
	* fix bug with not sent HTML emails in sr_email_subscribe due to wrong initializations
	* fix bug 7376: evalFunc does not work in 2.5.8 but crashes TYPO3
	* add &nbsp; after the preview markers in the CSS HTML template as a workaround for a bug in MS Internet Explorer 7
	* many additions to the old style template file
	* small modification to captcha for sr_freecap
	* labels for eval errors translations
	* new feature: make all objects globally available over t3lib_div::getUserObj
	* fix bug 7822: DMAIL- Category Subscription did not work

2007-10-17 Franz Holzinger  <franz@fholzinger.com>
	* new feature: enableEmailOnUpdate = 2 to send only the changed fields in an email if a user alters his data
	* fix bug with not saved change of unchecked check box input
	* fix bugs with wrong HTML output at select box and check boxes
	* new feature: select.static_country to use a SQL WHERE clause as a filter over the countries in the select box

2007-09-12 Franz Holzinger  <franz@fholzinger.com>
	* fix bug with checkboxes set to zero when errors in the entered data
	* fix wrong lower case markers of checkboxes to upper case

2007-09-04 Franz Holzinger  <franz@fholzinger.com>
	* fix bug with having same html ids many times when more records are shown

2007-08-29 Franz Holzinger  <franz@fholzinger.com>
	* fix bug with wrong $row variable in tx_srfeuserregister_tca
	* start with encoding in renderCharset

2007-08-14 Franz Holzinger  <franz@fholzinger.com>
	* fix bug with no editing possible for sr_email_subscribe and a setfixed link
	* fix bug 5609: informal texts did not work
	* fix bug with not saved entries for mm relations
	* fix bug when delete did not work with setfixed becaue the cmd has been overridden by restored regHash value

2007-07-12 Franz Holzinger  <franz@fholzinger.com>
	* fix bug 5291: new translations for Dutch by Felippe van Eekhout <feekhout@worldonline.nl>

2007-06-16 Franz Holzinger  <franz@fholzinger.com>
	* fix bug with autocreation of usernames
	* new classes for setfixed, control data and url functions
	* fix bug with not shown status field in backend

2007-06-11 Franz Holzinger  <franz@fholzinger.com>
	* rename ###EMAIL_TEMPLATE_INFOMAIL_EMPTY### back to ###TEMPLATE_INFOMAIL### because it is not sent in an email
	* fix bug 5766: no notification emails have been sent due to wrong $templateCode variable.

2007-06-07 Franz Holzinger  <franz@fholzinger.com>
	* fix bug with missing getTemplateCode function in data object

2007-06-04 Franz Holzinger  <franz@fholzinger.com>
	* fix bug 5329: The inError property has been missing in the data object
	* fix bug 5687: setfixed could not be turned off

2007-05-29 Franz Holzinger  <franz@fholzinger.com>
	* fix bug 5256: replace also the ',' in str_replace in order not avoid replacement of other fields with the same name but from other extensions.
	* fix bug 5397: images could not be uploaded and have not been shown

2007-05-26 Franz Holzinger  <franz@fholzinger.com>
	* fix bug 5641: modifications needed to make sr_email_subsribe working again

2007-05-18 Franz Holzinger  <franz@fholzinger.com>
	* use first line of plain text emails as the subject
	* when there is already an items array in TCA and also records from a foreign table, then both will be added

2007-05-10 Franz Holzinger  <franz@fholzinger.com>
	* use t3lib_htmlmail also for sending of plain text emails
	* fix bugs with invite (see bug #5588)
	* Version 2.5.6 relaunch

2007-05-02 Franz Holzinger  <franz@fholzinger.com>
	* Danish backend texts
	* fix bug with not possible image upload
	* Version 2.5.6 relaunch

2007-04-18 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.6 relaunch

2007-03-15 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.6 relaunch
	* fix bugs caused by restructuring of code

2007-03-09 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.6 relaunch
	* more flexform entries
	* fix bugs caused by restructuring of code

2007-03-06 Franz Holzinger  <franz@fholzinger.com>
	* some bug fixes due to restructuring

2007-02-28 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.6
	* internal restructuring of code into more classes

2007-02-09 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.5 relaunch
	* Fix bug 4056: The comparison of the authorisation code has been wrong.

2007-02-07 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.5 relaunch
	* Fix bug with not considered multiple select fields with text fields. A text string must be allowed as a value in a select box.

2007-01-17 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.5
	* enable overrideValues setup with stdWrap function call - by Jens Hirschfeld <Jens.Hirschfeld@KeepOut.de>
	* If useEmailAsUsername is set, and the user changes their email address, the username will also be changed.
	* automatic password generation by Dennis S. Hennen <dennis@28studios.com>
	* Ralph Brugger <Ralph.Brugger@linkpool.de> added captcha feature

2006-12-29 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.4
	* enable always INFOMAIL when function compileMail has been reached
	* message for lost password is possible: v_registration_infomail_message1
	* split pi1/locallang.xml into separate files for each language in l10n/pi1

2006-12-11 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.3
	* Fix bug: input-Tags shall be shown as <input ... />
	* Fix bug with wrongly filled in field values of mm table records with setfixed command, e.g. module_sys_dmail_category
	* Gideon So: all Hongkong Chinese translations
	* Thomas Dubach: more German translations

2006-11-24 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.2 relaunch
	* add 'infomail' to the commands where not FE login is necessary

2006-11-16 Franz Holzinger  <franz@fholzinger.com>
	* Version 2.5.2
	* no edit functions shall be available when user has logged out
	* htmlspecialchar around the url links to have clean HTML
	* overridable select items for status via TS _LOCAL_LANG setup
	* Fix bugtracker issue 3986: formName has been deleted. No data has been visible in edit form.
	* Fix bugtracker issue 4055: $_GET array should not get lost
	* Fix bug: The select box entries could not be saved
	* enhance CSS template to show the select box entries as plain texts

2006-08-14 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.5.1
	* Update to Russian translation.
	* When a foreign table is used on a select field, sort values according to the sortby field.
	* Fix bugtracker issue 3992: Hook not working: confirmRegistrationClass_postProcess
	* Remove duplicate class attributes on multiple statements of the css-styles html template.
	* Remove deprecated wrap attribute from dynamically-generated textearea html statements.
	* Remove for attribute from label tag of "gender" radio buttons field.
	* onchange and onsubmit attribute names should be lowercase.

2006-06-21 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.5
	* Remove dependency on Static Info Library (sr_static_info)
	* Correction for missing htmlspecialcharacters statements.

2006-06-08 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.4
	* Correction to some improbable failure. Thanks to Rupert Germann.
	* Small corrections to the manual.
	* Correction to infomail screen display for sr_email_subscribe
	* Correction to path to icon in default css of css-styled static template.
	* Correction to back path of the delete dialog.
	* Conversion of locallang files to xml format.

2006-05-16 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.3.6
	* CSS adjustments for multiple checkboxes.

2006-05-16 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.3.5
	* Honor TCA setting renderMode = checkbox for columns of type select when static template css-styled is used.

2006-05-16 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.3.4
	* Fix bugtracker issue 3431: incorrect email url's when config.absRefPrefix is used.
	* New TS Constant: enableAutoLoginOnCreate.
	* Update to the structure of the manual.

2006-04-05 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.3.3
	* Correction: missing inclusion of t3lib_htmlmail

2006-03-27 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Use cObj->caseshift for case shifting operations on markers.

2006-03-26 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Two new TS constants: enableAdminNotifyOnAdminAccept and enableAdminNotifyOnAdminRefuse.
	* Remove locally defined quoteJSvalue and getUpdateJS (these were fixed in TYPO3 4.0).
	* Use TCA-driven field module_sys_dmail_html in css-styled template.
	* If usergroup selection is enabled on edit, keep usergroups set by confirmation or acceptation.
	* Ensure that case shifting operations on markers are performed using C locale.

2006-03-25 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Add TS setup property extraLabels. Thanks to Dmitry Dulepov.

2006-03-22 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Adjustments to make the extension compatible with system extension Database Abstraction Layer (dbal).
	* Correct bugtracker issue 2912: some missing slashes.
	* Preserve <url> constructs in plain text html template. See bugtracker issue 1966.

2006-03-08 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Remove locally extended t3lib_htmlmail (fixed in TYPO3 4.0).

2006-03-08 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Add short URL's feature. Thanks to Steve Webster.
	* Update requirements to TYPO3 4.0.0
	* Correct processing of module_sys_dmail fields when Direct Mail is not installed.
	* Modify plugin initialization: remove constructor and initId method.

2006-03-03 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Update Danish localization.
	* Update version number to 2.3.0
	* On edit, do not reset the username if we have no new value

2006-03-01 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Add support for localization of MM relations when configured on the foreign table.
	* Add constant and setup property module_sys_dmail_category_PIDLIST
	* Update to the requirements section of the manual
	* Small cleaning changes in class.tx_srfeuserregister_pi1.php and static templates setup.txt

2006-02-03 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Honor TCA default value for TCA-driven multiple checkboxes. Thanks to Simon Tuck.
	* Remove support for TYPO3 3.5.0.
	
2006-01-30 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Verify enabled fields when selecting MM relations, in particular module_sys_dmail_category.
	* Accept value '0' on required fields (see bugtracker issue #2027).
	
2006-01-30 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Correction to css-styled html template (see bugtracker issue #2403).
	* Remove changes to the TCA for fields module_sys_dmail_category and module_sys_dmail_html
	* Ignore fields module_sys_dmail_category and module_sys_dmail_html if direct_mail extension is not loaded.
	* Enable support for select fields with MM relations, in particular module_sys_dmail_category.

2006-01-14 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.2.5:
	* Correction to the useEmailAsUsername property: when set, the username was erased on editing the profile.

2006-01-10 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.2.4:
	* Correction to the generateUsername property: when set, the username was erased on editing the profile.
	* For TCA-driven select fields, if no default value is set in TS template, apply default value from TCA, if present.

2006-01-08 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.2.3:
	* Update to Danish, Norwegian and Turkish translations.

2006-01-08 Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.2.3:
	* Allow to override TCA labels in TS template setup
	* Add generateUsername setup property.
	* Add registrationProcess_beforeConfirmCreate hook. Thanks to Pieter Verstraelen.

2005-12-05  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Use backURL linkVar to link back from the edit page, after saving, to some referring extension such as tt_products. Thanks to Franz Holzinger.
	
2005-12-04  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Correction: setting usergroupAfterAcceptation did not work if the original usergroup assigned at creation was changed by usergroupAfterConfirmation.

2005-11-30  Franz Holzinger  <franz@fholzinger.com>
	* German texts for the flexform

2005-11-28  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Eliminate error subpart when a required field is missing but no other validation error is raised.
	* Minor improvement to html template.

2005-11-26  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.2.1:
	* Fix in ext_localconf.php
	* Documentation update.
	
2005-11-25  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Added support for backend flexforms by Franz Holzinger.
	
2005-11-25  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.2.0:
	* Further correction due to IE mishandling of button elements of type button. Eliminated all button elements from the html template.
	* Added a note on upgrading to version 2 in the configuration section.

2005-11-24  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.1.0:
	* Major correction to the CSS-styled html template: backtracking on the use of button elements of type submit because their behavior is erratic in Internet Explorer 6 and break a number of screens of the extension. Most of them are replaced by input elements.
	* Some further adjustments to the CSS-styled template.
	* Simplification of the default CSS styles. In particular, most color and font styling has been eliminated.

2005-11-21  Sebastian Roth <sebastian.roth@c-qube.com>
	* Monday hacking session (mostly css related):
	* Many cleanups & some bugfixes.
	* Fixed some whitespace issues with IE/FF.

2005-11-16  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 2.0.0
	* Adding size and maxlength attributes on text input fields (in css-styled template).
	* Final css adjustments.
	* Updating the manual.

2005-11-15  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Adding tooltips
	* Adding fieldset tags
	* Adding by_invitation field to fe_users table.
	* Generate password when inviting and useMd5Password is enabled.
	* Do not request administrative review on invitation.

2005-11-14  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Finalizing css styling (css-styled template).
	* Working around varions IE css bugs and label on select bug.

2005-11-13  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Further adjustments to default css (in css-styled template).
	* Adding label tags for radio and checkbox values of TCA-driven fields.
	* Further adjustments to default css for email messages in css-styled template.
	* Adjustments to the html template for the administrative review process.
	* Correction: the multiple user group selection feature did not work.
	* Standardizing names of css selectors.
	* New markers to erase any error markups when there is no error on an input field.
	* Delete icon specified in style tag.

2005-11-10  Sebastian Roth <sebastian.roth@c-qube.com>
	* Current merge from Stefan Galinski.
	* Zapped some bugs in css styled template.
	* Improved xhtml compliance.

2005-11-08  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Correction to reserved user groups when the administrative review is enabled (in css-styled template).
	* Addition of id attribute on select tags produced by sr_static_info: version 1.4.7 of sr_static_info is now required to use css-styled template.

2005-11-08  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Rename tx_srfeuserregister_pi1_css_tmpl.tmpl to tx_srfeuserregister_pi1_css_tmpl.html
	* Correctly display all data fields in email messages in css-styled template.
	* Correct error when entering multiple lines in a textarea field.
	* Correct country onChange handler in css-styled template.
	* Remove updateForm JavaScript from preview screens in css-styled template.
	* New constants and setup to configure the administrative review process (in css-styled template).
	* Further adjustments to the html template for the administrative review process (in css-styled template).

2005-11-07  Sebastian Roth <sebastian.roth@c-qube.com>
	* Bugfixing.

2005-11-06  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Additional html subparts in the css-styled template for the administrative review process (work in progress).

2005-11-05  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Adding some new subparts for the administrative review process (work in progress).

2005-11-04  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Restructure the extension with two Static Templates: Old Style and CSS-styled. One static template must be added to the TS template after extension installation.
	* Add label tag on all form fields in css-styled html template
	* Prefix all field ids with tx-srfeuserregister-pi1- in css-styled html template
	* Generate field ids for all TCA-driven fields
	* Small adjustments to locallang and html template files
	* Addition of scripts folder and elimination of name attribute on form tags in css-styled template
	* Adjustments to css inclusion in html emails in css-styled template and addition of css file
	* Remove attributes from the body tags of html emails in css-styled template
	* Change doctype declararation in html emails in css-styled template

2005-11-02  Sebastian Roth <sebastian.roth@c-qube.com>
	* Added basic template using CSS. Please note that it's not useable at the moment. We still zap our gremlins with it.
	* Cleaned up some other stuff like css & typoscript.

2005-11-01  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 1.6.8
	* Corrections to a few glitches introduced in version 1.6.7.
	* Update to the Russian translation.
	* New TS constant confirmInvitationPID.

2005-10-28  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 1.6.7
	* Add a few labels.
	* Add an 'en_US' localization for the frontend side of the extension.
	* Manual reviewed for US market. Thanks to Alex Heizer.
	* New TS constant salutation allows to switch salutation mode.
	* New TS constant useMd5Password enables md5-hashed passwords when extension KB MD5 FE Password (kb_md5fepw) is installed. HTML templates should be updated with markers ###FORM_ONSUBMIT### and ###PASSWORD_ONCHANGE###. See the example HTML templates. ###HIDDENFIELDS### marker is also added to subparts ###TEMPLATE_CREATE_SAVED### and ###TEMPLATE_SETFIXED_OK###.

2005-10-16  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Correction to the useEmailAsUsername feature.
	* Take into account the user preference regarding html emails when sending infomails (used by sr_email_subscribe).

2005-10-13  Sebastian Roth <sebastian.roth@c-qube.com>
	* Modified remaining function call with reference parameter, see
	  last change at 2005-10-13.

2005-10-12  Sebastian Roth <sebastian.roth@c-qube.com>
	* fixed a possible problem with php and the option
	  allow_call_time_pass_reference which will likely be removed in future
	  versions of php and create error messages. Thanks to Stefan Galinski
	  for pointing that out.

2005-10-10  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 1.6.6
	* Correction to the usergroup language overlay. Thanks to Rakowski Tomasz.
	* Correction to TCA-driven select field with values from foreign table. Thanks to Rakowski Tomasz.
	* Update to step 3 of the tutorial for the case of multiple selection fields.
	* Change log added.

2005-10-06  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>
	* Version 1.6.5
	* Initial CVS upload.
